#
# Conditional build:
%bcond_with	tests	# do not perform "make test"

%define		module		compose
%define		egg_name	docker_compose
%define		pypi_name	docker-compose
Summary:	Multi-container orchestration for Docker
Name:		docker-compose
Version:	1.29.2
Release:	4
License:	Apache v2.0
Group:		Applications/System
# https://github.com/docker/compose/releases
Source0:	https://files.pythonhosted.org/packages/source/d/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
# Source0-md5:	95accbca655abf086a61b94d6c3d94ca
Patch0:		remove-requires-upper-bound.patch
URL:		https://docs.docker.com/compose/
%if %{with tests}
BuildRequires:	python3-PyYAML
BuildRequires:	python3-docker
BuildRequires:	python3-docopt
BuildRequires:	python3-paramiko
BuildRequires:	python3-requests
BuildRequires:	python3-setuptools
BuildRequires:	python3-texttable
BuildRequires:	python3-websocket-client
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	docker(engine) >= 1.10.0
Requires:	python3-docker >= 4.4.4
Requires:	python3-paramiko >= 2.4.2
Requires:	python3-setuptools
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Multi-container orchestration for Docker

Docker-compose allows you to:
- Define your application's environment with Docker so it can be
  reproduced anywhere.
- Define the services that make up your app so they can be run
  together in an isolated environment.
- Run 'docker-compose up', and docker-compose will start and run your
  entire app.

%prep
%setup -q
%patch0 -p1

rm -r docker_compose.egg-info

%build
%py3_build

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md CONTRIBUTING.md README.md SWARM.md LICENSE
%attr(755,root,root) %{_bindir}/%{name}
%{py3_sitescriptdir}/%{module}
%{py3_sitescriptdir}/%{egg_name}-%{version}-py*.egg-info
%changelog
* Sat Mar 26 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docker-compose.git;a=log;h=master

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 1985061
- Release 4 (by relup.sh)

* Sat Mar 26 2022 Jan Rękorajski <baggins@pld-linux.org> 7ccb1d4
- rebuild with python 3.10

* Fri Mar 25 2022 Jan Rękorajski <baggins@pld-linux.org> cc76a5f
- rebuild with python 3.10

* Mon May 10 2021 Jan Palus <atler@pld-linux.org> 0dd9376
- up to 1.29.2

* Wed Apr 14 2021 Jan Palus <atler@pld-linux.org> b80729b
- up to 1.29.1

* Wed Apr 07 2021 Jan Palus <atler@pld-linux.org> 2b22bef
- up to 1.29.0

* Tue Mar 23 2021 Jan Palus <atler@pld-linux.org> 06caaf2
- up to 1.28.6

* Sat Feb 27 2021 Jan Rękorajski <baggins@pld-linux.org> c56481a
- release 2 (by relup.sh)

* Fri Feb 26 2021 Jan Palus <atler@pld-linux.org> 089a701
- up to 1.28.5

* Thu Feb 18 2021 Jan Palus <atler@pld-linux.org> e2f4d2b
- up to 1.28.4

* Thu Feb 18 2021 Jan Palus <atler@pld-linux.org> d78d741
- up to 1.28.3

* Tue Jan 26 2021 Jan Palus <atler@pld-linux.org> b110482
- up to 1.28.2

* Thu Sep 24 2020 Jan Palus <atler@pld-linux.org> 20dd0bc
- up to 1.27.4

* Wed Sep 16 2020 Jan Palus <atler@pld-linux.org> 3bbc290
- up to 1.27.3

* Thu Sep 10 2020 Jan Palus <atler@pld-linux.org> 7b53959
- up to 1.27.2

* Thu Sep 10 2020 Jan Palus <atler@pld-linux.org> f96111e
- up to 1.27.1

* Mon Sep 07 2020 Jan Palus <atler@pld-linux.org> 0d46711
- up to 1.27.0

* Fri Jul 03 2020 Jan Palus <atler@pld-linux.org> 4d286ef
- up to 1.26.2

* Tue Jun 30 2020 Jan Palus <atler@pld-linux.org> bf47385
- up to 1.26.1

* Wed Jun 03 2020 Jan Palus <atler@pld-linux.org> 1bdf357
- up to 1.26.0

